From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-cluster/libqb/
Date: Thu, 2 Jan 2020 21:44:29 +0000 (UTC) [thread overview]
Message-ID: <1578001452.7e5e69bf829c1d7972ad069d415f24937417ffa4.sping@gentoo> (raw)
commit: 7e5e69bf829c1d7972ad069d415f24937417ffa4
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 2 21:38:41 2020 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Thu Jan 2 21:44:12 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e5e69bf
sys-cluster/libqb: 1.9.0
Bug: https://bugs.gentoo.org/704514
Bug: https://bugs.gentoo.org/699860
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-2.3.84, Repoman-2.3.20
sys-cluster/libqb/Manifest | 1 +
sys-cluster/libqb/libqb-1.9.0.ebuild | 62 ++++++++++++++++++++++++++++++++++++
2 files changed, 63 insertions(+)
diff --git a/sys-cluster/libqb/Manifest b/sys-cluster/libqb/Manifest
index 61ac9d1299a..65dd7711761 100644
--- a/sys-cluster/libqb/Manifest
+++ b/sys-cluster/libqb/Manifest
@@ -1,3 +1,4 @@
DIST libqb-0.17.2.tar.xz 373540 BLAKE2B b9d751fca21cc25798a24207740b14722502cbb918cc652cd33b0159a9bd1254a8a64bc73684ae3274a2cf346db5b19924cf010ba487f4c6a9a5f9deade792c4 SHA512 9c6dce7d18aa4da31594faecd0ea2737c2beefa749290094f733fe89ac40f094ec6409f310c534b8144d500e8c204c328386eaf1029995698d7019c014433443
DIST libqb-1.0.1.tar.xz 438204 BLAKE2B be4d4dbe624721a6434f7e3023bcaef017e1358f67fa308e4107bd96469675eca51b5787f498857d22104e3ffa55ded9c44fe320c37fec639a84648c1f517223 SHA512 9afdf5b7064f4e79f70e3c21d1ae954d1444d202d5903bd84866e502b2afc218d4a84fd21fab637a198357e1dad5da94814a6c0bdaa0ba6ac4a24ff40422c185
DIST libqb-1.0.5.tar.xz 488516 BLAKE2B 96f61ce681d0c259e8df38f35c04349ab3b1199f62c2311d60c6f229bf15e8f62825c965a4847cbda4701119fc7ae3c68cc3a7187f927f8ddf7496cf1931c7c2 SHA512 a695bc4c913a32d47535cb2d8812f14a39732cae32651521a8f7b6d05c4202bfc28a477c88875bbfbe1a0238cd33f1fe64f2d2217b0c27cf11acf7233fc2cbdf
+DIST libqb-1.9.0.tar.gz 225147 BLAKE2B d8200d5eec8c05a18675de585e2f85694d3d062d82afca38c421859e3e0287d1691fe9726a75d3726afc58a94765f6a201f8fb51bf1ed25c1cfeaeb326e6f6d0 SHA512 9bdf2087f610a7a02b976312d60391e1c53ebd3f36a897cdc3fcf818f666f772d63386b52bd11ed4e5ea52fa4775231ab7125359a270451f925b3821d9b8e3ee
diff --git a/sys-cluster/libqb/libqb-1.9.0.ebuild b/sys-cluster/libqb/libqb-1.9.0.ebuild
new file mode 100644
index 00000000000..6ae629bdc2f
--- /dev/null
+++ b/sys-cluster/libqb/libqb-1.9.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Library providing high performance logging, tracing, ipc, and poll"
+HOMEPAGE="https://github.com/ClusterLabs/libqb"
+
+# Avoiding release tarball due to https://github.com/ClusterLabs/libqb/issues/375
+# Please re-add ChangeLog to DOCS when switching back
+SRC_URI="https://github.com/ClusterLabs/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/20"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="debug doc examples systemd test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-libs/glib:2"
+DEPEND="${RDEPEND}
+ app-arch/xz-utils
+ test? ( dev-libs/check )
+ doc? ( app-doc/doxygen[dot] )"
+
+DOCS=( README.markdown )
+
+src_prepare() {
+ default
+
+ # Skip installation of text documents without value
+ sed -e '/dist_doc_DATA/d' -i Makefile.am || die
+
+ # Do not append version suffix "-yank"
+ sed 's|1-yank|1|' -i configure.ac || die
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable systemd systemd-journal) \
+ $(use_enable debug)
+}
+
+src_compile() {
+ default
+ use doc && emake doxygen
+}
+
+src_install() {
+ emake install DESTDIR="${D}"
+
+ if use examples ; then
+ docinto examples
+ dodoc examples/*.c
+ fi
+
+ use doc && HTML_DOCS=("docs/html/.")
+ einstalldocs
+}
next reply other threads:[~2020-01-02 21:44 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-01-02 21:44 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-25 22:57 [gentoo-commits] repo/gentoo:master commit in: sys-cluster/libqb/ Sam James
2024-11-23 20:15 Arthur Zamarin
2024-05-03 11:55 Sam James
2024-03-17 6:27 Ionen Wolkens
2024-01-12 8:30 Arthur Zamarin
2023-07-04 22:32 Sam James
2023-07-04 22:23 Sam James
2023-07-04 22:23 Sam James
2021-12-01 11:39 Alexys Jacob
2021-03-20 11:39 David Seifert
2021-02-11 7:45 Sergei Trofimovich
2021-01-14 23:59 Sam James
2021-01-01 23:29 Sam James
2020-11-25 11:40 Thomas Deutschmann
2020-11-23 8:01 Sergei Trofimovich
2020-11-23 7:58 Sergei Trofimovich
2020-11-18 6:55 Agostino Sarubbo
2020-11-15 23:24 David Seifert
2020-10-21 12:59 Alexys Jacob
2020-08-29 17:57 Thomas Deutschmann
2020-08-01 7:55 Sergei Trofimovich
2020-07-20 12:24 Sam James
2019-12-11 17:09 Alexys Jacob
2019-12-11 17:09 Alexys Jacob
2019-12-11 17:09 Alexys Jacob
2017-06-19 16:33 Alexis Ballier
2017-04-30 9:05 Jeroen Roovers
2017-04-28 12:52 Agostino Sarubbo
2017-04-28 12:31 Agostino Sarubbo
2017-04-22 14:23 Alexys Jacob
2017-04-22 14:11 Alexys Jacob
2017-02-23 8:29 Michael Weber
2016-01-26 7:44 Alexys Jacob
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1578001452.7e5e69bf829c1d7972ad069d415f24937417ffa4.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox